IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/100
Addresses268,435,456
/64 networksPart of one
- Network
fe80:c25a:ec00:ec00:ec00:d:2000:0/100- First address
fe80:c25a:ec00:ec00:ec00:d:2000:0- Last address
fe80:c25a:ec00:ec00:ec00:d:2fff:ffff- Addresses
- 268,435,456
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25a:ec00:ec00:ec00:000d:2000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.d.0.0.0.0.0.c.e.0.0.c.e.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:ec00:ec00:ec00:d:2000:0/100 makes 4,096 subnets of /112; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:ec00:ec00:ec00:d:2000:0/112 | fe80:c25a:ec00:ec00:ec00:d:2000:ffff |
| 2 | fe80:c25a:ec00:ec00:ec00:d:2001:0/112 | fe80:c25a:ec00:ec00:ec00:d:2001:ffff |
| 3 | fe80:c25a:ec00:ec00:ec00:d:2002:0/112 | fe80:c25a:ec00:ec00:ec00:d:2002:ffff |
| 4 | fe80:c25a:ec00:ec00:ec00:d:2003:0/112 | fe80:c25a:ec00:ec00:ec00:d:2003:ffff |
| 5 | fe80:c25a:ec00:ec00:ec00:d:2004:0/112 | fe80:c25a:ec00:ec00:ec00:d:2004:ffff |
| 6 | fe80:c25a:ec00:ec00:ec00:d:2005:0/112 | fe80:c25a:ec00:ec00:ec00:d:2005:ffff |
| 7 | fe80:c25a:ec00:ec00:ec00:d:2006:0/112 | fe80:c25a:ec00:ec00:ec00:d:2006:ffff |
| 8 | fe80:c25a:ec00:ec00:ec00:d:2007:0/112 | fe80:c25a:ec00:ec00:ec00:d:2007:ffff |
| 9 | fe80:c25a:ec00:ec00:ec00:d:2008:0/112 | fe80:c25a:ec00:ec00:ec00:d:2008:ffff |
| 10 | fe80:c25a:ec00:ec00:ec00:d:2009:0/112 | fe80:c25a:ec00:ec00:ec00:d:2009:ffff |
| 11 | fe80:c25a:ec00:ec00:ec00:d:200a:0/112 | fe80:c25a:ec00:ec00:ec00:d:200a:ffff |
| 12 | fe80:c25a:ec00:ec00:ec00:d:200b:0/112 | fe80:c25a:ec00:ec00:ec00:d:200b:ffff |
| 13 | fe80:c25a:ec00:ec00:ec00:d:200c:0/112 | fe80:c25a:ec00:ec00:ec00:d:200c:ffff |
| 14 | fe80:c25a:ec00:ec00:ec00:d:200d:0/112 | fe80:c25a:ec00:ec00:ec00:d:200d:ffff |
| 15 | fe80:c25a:ec00:ec00:ec00:d:200e:0/112 | fe80:c25a:ec00:ec00:ec00:d:200e:ffff |
| 16 | fe80:c25a:ec00:ec00:ec00:d:200f:0/112 | fe80:c25a:ec00:ec00:ec00:d:200f:ffff |
| 17 | fe80:c25a:ec00:ec00:ec00:d:2010:0/112 | fe80:c25a:ec00:ec00:ec00:d:2010:ffff |
| 18 | fe80:c25a:ec00:ec00:ec00:d:2011:0/112 | fe80:c25a:ec00:ec00:ec00:d:2011:ffff |
| 19 | fe80:c25a:ec00:ec00:ec00:d:2012:0/112 | fe80:c25a:ec00:ec00:ec00:d:2012:ffff |
| 20 | fe80:c25a:ec00:ec00:ec00:d:2013:0/112 | fe80:c25a:ec00:ec00:ec00:d:2013:ffff |
| 21 | fe80:c25a:ec00:ec00:ec00:d:2014:0/112 | fe80:c25a:ec00:ec00:ec00:d:2014:ffff |
| 22 | fe80:c25a:ec00:ec00:ec00:d:2015:0/112 | fe80:c25a:ec00:ec00:ec00:d:2015:ffff |
| 23 | fe80:c25a:ec00:ec00:ec00:d:2016:0/112 | fe80:c25a:ec00:ec00:ec00:d:2016:ffff |
| 24 | fe80:c25a:ec00:ec00:ec00:d:2017:0/112 | fe80:c25a:ec00:ec00:ec00:d:2017:ffff |
| 25 | fe80:c25a:ec00:ec00:ec00:d:2018:0/112 | fe80:c25a:ec00:ec00:ec00:d:2018:ffff |
| 26 | fe80:c25a:ec00:ec00:ec00:d:2019:0/112 | fe80:c25a:ec00:ec00:ec00:d:2019:ffff |
| 27 | fe80:c25a:ec00:ec00:ec00:d:201a:0/112 | fe80:c25a:ec00:ec00:ec00:d:201a:ffff |
| 28 | fe80:c25a:ec00:ec00:ec00:d:201b:0/112 | fe80:c25a:ec00:ec00:ec00:d:201b:ffff |
| 29 | fe80:c25a:ec00:ec00:ec00:d:201c:0/112 | fe80:c25a:ec00:ec00:ec00:d:201c:ffff |
| 30 | fe80:c25a:ec00:ec00:ec00:d:201d:0/112 | fe80:c25a:ec00:ec00:ec00:d:201d:ffff |
| 31 | fe80:c25a:ec00:ec00:ec00:d:201e:0/112 | fe80:c25a:ec00:ec00:ec00:d:201e:ffff |
| 32 | fe80:c25a:ec00:ec00:ec00:d:201f:0/112 | fe80:c25a:ec00:ec00:ec00:d:201f:ffff |
| 33 | fe80:c25a:ec00:ec00:ec00:d:2020:0/112 | fe80:c25a:ec00:ec00:ec00:d:2020:ffff |
| 34 | fe80:c25a:ec00:ec00:ec00:d:2021:0/112 | fe80:c25a:ec00:ec00:ec00:d:2021:ffff |
| 35 | fe80:c25a:ec00:ec00:ec00:d:2022:0/112 | fe80:c25a:ec00:ec00:ec00:d:2022:ffff |
| 36 | fe80:c25a:ec00:ec00:ec00:d:2023:0/112 | fe80:c25a:ec00:ec00:ec00:d:2023:ffff |
| 37 | fe80:c25a:ec00:ec00:ec00:d:2024:0/112 | fe80:c25a:ec00:ec00:ec00:d:2024:ffff |
| 38 | fe80:c25a:ec00:ec00:ec00:d:2025:0/112 | fe80:c25a:ec00:ec00:ec00:d:2025:ffff |
| 39 | fe80:c25a:ec00:ec00:ec00:d:2026:0/112 | fe80:c25a:ec00:ec00:ec00:d:2026:ffff |
| 40 | fe80:c25a:ec00:ec00:ec00:d:2027:0/112 | fe80:c25a:ec00:ec00:ec00:d:2027:ffff |
| 41 | fe80:c25a:ec00:ec00:ec00:d:2028:0/112 | fe80:c25a:ec00:ec00:ec00:d:2028:ffff |
| 42 | fe80:c25a:ec00:ec00:ec00:d:2029:0/112 | fe80:c25a:ec00:ec00:ec00:d:2029:ffff |
| 43 | fe80:c25a:ec00:ec00:ec00:d:202a:0/112 | fe80:c25a:ec00:ec00:ec00:d:202a:ffff |
| 44 | fe80:c25a:ec00:ec00:ec00:d:202b:0/112 | fe80:c25a:ec00:ec00:ec00:d:202b:ffff |
| 45 | fe80:c25a:ec00:ec00:ec00:d:202c:0/112 | fe80:c25a:ec00:ec00:ec00:d:202c:ffff |
| 46 | fe80:c25a:ec00:ec00:ec00:d:202d:0/112 | fe80:c25a:ec00:ec00:ec00:d:202d:ffff |
| 47 | fe80:c25a:ec00:ec00:ec00:d:202e:0/112 | fe80:c25a:ec00:ec00:ec00:d:202e:ffff |
| 48 | fe80:c25a:ec00:ec00:ec00:d:202f:0/112 | fe80:c25a:ec00:ec00:ec00:d:202f:ffff |
| 49 | fe80:c25a:ec00:ec00:ec00:d:2030:0/112 | fe80:c25a:ec00:ec00:ec00:d:2030:ffff |
| 50 | fe80:c25a:ec00:ec00:ec00:d:2031:0/112 | fe80:c25a:ec00:ec00:ec00:d:2031:ffff |
| 51 | fe80:c25a:ec00:ec00:ec00:d:2032:0/112 | fe80:c25a:ec00:ec00:ec00:d:2032:ffff |
| 52 | fe80:c25a:ec00:ec00:ec00:d:2033:0/112 | fe80:c25a:ec00:ec00:ec00:d:2033:ffff |
| 53 | fe80:c25a:ec00:ec00:ec00:d:2034:0/112 | fe80:c25a:ec00:ec00:ec00:d:2034:ffff |
| 54 | fe80:c25a:ec00:ec00:ec00:d:2035:0/112 | fe80:c25a:ec00:ec00:ec00:d:2035:ffff |
| 55 | fe80:c25a:ec00:ec00:ec00:d:2036:0/112 | fe80:c25a:ec00:ec00:ec00:d:2036:ffff |
| 56 | fe80:c25a:ec00:ec00:ec00:d:2037:0/112 | fe80:c25a:ec00:ec00:ec00:d:2037:ffff |
| 57 | fe80:c25a:ec00:ec00:ec00:d:2038:0/112 | fe80:c25a:ec00:ec00:ec00:d:2038:ffff |
| 58 | fe80:c25a:ec00:ec00:ec00:d:2039:0/112 | fe80:c25a:ec00:ec00:ec00:d:2039:ffff |
| 59 | fe80:c25a:ec00:ec00:ec00:d:203a:0/112 | fe80:c25a:ec00:ec00:ec00:d:203a:ffff |
| 60 | fe80:c25a:ec00:ec00:ec00:d:203b:0/112 | fe80:c25a:ec00:ec00:ec00:d:203b:ffff |
| 61 | fe80:c25a:ec00:ec00:ec00:d:203c:0/112 | fe80:c25a:ec00:ec00:ec00:d:203c:ffff |
| 62 | fe80:c25a:ec00:ec00:ec00:d:203d:0/112 | fe80:c25a:ec00:ec00:ec00:d:203d:ffff |
| 63 | fe80:c25a:ec00:ec00:ec00:d:203e:0/112 | fe80:c25a:ec00:ec00:ec00:d:203e:ffff |
| 64 | fe80:c25a:ec00:ec00:ec00:d:203f:0/112 | fe80:c25a:ec00:ec00:ec00:d:203f:ffff |
| 65 | fe80:c25a:ec00:ec00:ec00:d:2040:0/112 | fe80:c25a:ec00:ec00:ec00:d:2040:ffff |
| 66 | fe80:c25a:ec00:ec00:ec00:d:2041:0/112 | fe80:c25a:ec00:ec00:ec00:d:2041:ffff |
| 67 | fe80:c25a:ec00:ec00:ec00:d:2042:0/112 | fe80:c25a:ec00:ec00:ec00:d:2042:ffff |
| 68 | fe80:c25a:ec00:ec00:ec00:d:2043:0/112 | fe80:c25a:ec00:ec00:ec00:d:2043:ffff |
| 69 | fe80:c25a:ec00:ec00:ec00:d:2044:0/112 | fe80:c25a:ec00:ec00:ec00:d:2044:ffff |
| 70 | fe80:c25a:ec00:ec00:ec00:d:2045:0/112 | fe80:c25a:ec00:ec00:ec00:d:2045:ffff |
| 71 | fe80:c25a:ec00:ec00:ec00:d:2046:0/112 | fe80:c25a:ec00:ec00:ec00:d:2046:ffff |
| 72 | fe80:c25a:ec00:ec00:ec00:d:2047:0/112 | fe80:c25a:ec00:ec00:ec00:d:2047:ffff |
| 73 | fe80:c25a:ec00:ec00:ec00:d:2048:0/112 | fe80:c25a:ec00:ec00:ec00:d:2048:ffff |
| 74 | fe80:c25a:ec00:ec00:ec00:d:2049:0/112 | fe80:c25a:ec00:ec00:ec00:d:2049:ffff |
| 75 | fe80:c25a:ec00:ec00:ec00:d:204a:0/112 | fe80:c25a:ec00:ec00:ec00:d:204a:ffff |
| 76 | fe80:c25a:ec00:ec00:ec00:d:204b:0/112 | fe80:c25a:ec00:ec00:ec00:d:204b:ffff |
| 77 | fe80:c25a:ec00:ec00:ec00:d:204c:0/112 | fe80:c25a:ec00:ec00:ec00:d:204c:ffff |
| 78 | fe80:c25a:ec00:ec00:ec00:d:204d:0/112 | fe80:c25a:ec00:ec00:ec00:d:204d:ffff |
| 79 | fe80:c25a:ec00:ec00:ec00:d:204e:0/112 | fe80:c25a:ec00:ec00:ec00:d:204e:ffff |
| 80 | fe80:c25a:ec00:ec00:ec00:d:204f:0/112 | fe80:c25a:ec00:ec00:ec00:d:204f:ffff |
| 81 | fe80:c25a:ec00:ec00:ec00:d:2050:0/112 | fe80:c25a:ec00:ec00:ec00:d:2050:ffff |
| 82 | fe80:c25a:ec00:ec00:ec00:d:2051:0/112 | fe80:c25a:ec00:ec00:ec00:d:2051:ffff |
| 83 | fe80:c25a:ec00:ec00:ec00:d:2052:0/112 | fe80:c25a:ec00:ec00:ec00:d:2052:ffff |
| 84 | fe80:c25a:ec00:ec00:ec00:d:2053:0/112 | fe80:c25a:ec00:ec00:ec00:d:2053:ffff |
| 85 | fe80:c25a:ec00:ec00:ec00:d:2054:0/112 | fe80:c25a:ec00:ec00:ec00:d:2054:ffff |
| 86 | fe80:c25a:ec00:ec00:ec00:d:2055:0/112 | fe80:c25a:ec00:ec00:ec00:d:2055:ffff |
| 87 | fe80:c25a:ec00:ec00:ec00:d:2056:0/112 | fe80:c25a:ec00:ec00:ec00:d:2056:ffff |
| 88 | fe80:c25a:ec00:ec00:ec00:d:2057:0/112 | fe80:c25a:ec00:ec00:ec00:d:2057:ffff |
| 89 | fe80:c25a:ec00:ec00:ec00:d:2058:0/112 | fe80:c25a:ec00:ec00:ec00:d:2058:ffff |
| 90 | fe80:c25a:ec00:ec00:ec00:d:2059:0/112 | fe80:c25a:ec00:ec00:ec00:d:2059:ffff |
| 91 | fe80:c25a:ec00:ec00:ec00:d:205a:0/112 | fe80:c25a:ec00:ec00:ec00:d:205a:ffff |
| 92 | fe80:c25a:ec00:ec00:ec00:d:205b:0/112 | fe80:c25a:ec00:ec00:ec00:d:205b:ffff |
| 93 | fe80:c25a:ec00:ec00:ec00:d:205c:0/112 | fe80:c25a:ec00:ec00:ec00:d:205c:ffff |
| 94 | fe80:c25a:ec00:ec00:ec00:d:205d:0/112 | fe80:c25a:ec00:ec00:ec00:d:205d:ffff |
| 95 | fe80:c25a:ec00:ec00:ec00:d:205e:0/112 | fe80:c25a:ec00:ec00:ec00:d:205e:ffff |
| 96 | fe80:c25a:ec00:ec00:ec00:d:205f:0/112 | fe80:c25a:ec00:ec00:ec00:d:205f:ffff |
| 97 | fe80:c25a:ec00:ec00:ec00:d:2060:0/112 | fe80:c25a:ec00:ec00:ec00:d:2060:ffff |
| 98 | fe80:c25a:ec00:ec00:ec00:d:2061:0/112 | fe80:c25a:ec00:ec00:ec00:d:2061:ffff |
| 99 | fe80:c25a:ec00:ec00:ec00:d:2062:0/112 | fe80:c25a:ec00:ec00:ec00:d:2062:ffff |
| 100 | fe80:c25a:ec00:ec00:ec00:d:2063:0/112 | fe80:c25a:ec00:ec00:ec00:d:2063:ffff |
| 101 | fe80:c25a:ec00:ec00:ec00:d:2064:0/112 | fe80:c25a:ec00:ec00:ec00:d:2064:ffff |
| 102 | fe80:c25a:ec00:ec00:ec00:d:2065:0/112 | fe80:c25a:ec00:ec00:ec00:d:2065:ffff |
| 103 | fe80:c25a:ec00:ec00:ec00:d:2066:0/112 | fe80:c25a:ec00:ec00:ec00:d:2066:ffff |
| 104 | fe80:c25a:ec00:ec00:ec00:d:2067:0/112 | fe80:c25a:ec00:ec00:ec00:d:2067:ffff |
| 105 | fe80:c25a:ec00:ec00:ec00:d:2068:0/112 | fe80:c25a:ec00:ec00:ec00:d:2068:ffff |
| 106 | fe80:c25a:ec00:ec00:ec00:d:2069:0/112 | fe80:c25a:ec00:ec00:ec00:d:2069:ffff |
| 107 | fe80:c25a:ec00:ec00:ec00:d:206a:0/112 | fe80:c25a:ec00:ec00:ec00:d:206a:ffff |
| 108 | fe80:c25a:ec00:ec00:ec00:d:206b:0/112 | fe80:c25a:ec00:ec00:ec00:d:206b:ffff |
| 109 | fe80:c25a:ec00:ec00:ec00:d:206c:0/112 | fe80:c25a:ec00:ec00:ec00:d:206c:ffff |
| 110 | fe80:c25a:ec00:ec00:ec00:d:206d:0/112 | fe80:c25a:ec00:ec00:ec00:d:206d:ffff |
| 111 | fe80:c25a:ec00:ec00:ec00:d:206e:0/112 | fe80:c25a:ec00:ec00:ec00:d:206e:ffff |
| 112 | fe80:c25a:ec00:ec00:ec00:d:206f:0/112 | fe80:c25a:ec00:ec00:ec00:d:206f:ffff |
| 113 | fe80:c25a:ec00:ec00:ec00:d:2070:0/112 | fe80:c25a:ec00:ec00:ec00:d:2070:ffff |
| 114 | fe80:c25a:ec00:ec00:ec00:d:2071:0/112 | fe80:c25a:ec00:ec00:ec00:d:2071:ffff |
| 115 | fe80:c25a:ec00:ec00:ec00:d:2072:0/112 | fe80:c25a:ec00:ec00:ec00:d:2072:ffff |
| 116 | fe80:c25a:ec00:ec00:ec00:d:2073:0/112 | fe80:c25a:ec00:ec00:ec00:d:2073:ffff |
| 117 | fe80:c25a:ec00:ec00:ec00:d:2074:0/112 | fe80:c25a:ec00:ec00:ec00:d:2074:ffff |
| 118 | fe80:c25a:ec00:ec00:ec00:d:2075:0/112 | fe80:c25a:ec00:ec00:ec00:d:2075:ffff |
| 119 | fe80:c25a:ec00:ec00:ec00:d:2076:0/112 | fe80:c25a:ec00:ec00:ec00:d:2076:ffff |
| 120 | fe80:c25a:ec00:ec00:ec00:d:2077:0/112 | fe80:c25a:ec00:ec00:ec00:d:2077:ffff |
| 121 | fe80:c25a:ec00:ec00:ec00:d:2078:0/112 | fe80:c25a:ec00:ec00:ec00:d:2078:ffff |
| 122 | fe80:c25a:ec00:ec00:ec00:d:2079:0/112 | fe80:c25a:ec00:ec00:ec00:d:2079:ffff |
| 123 | fe80:c25a:ec00:ec00:ec00:d:207a:0/112 | fe80:c25a:ec00:ec00:ec00:d:207a:ffff |
| 124 | fe80:c25a:ec00:ec00:ec00:d:207b:0/112 | fe80:c25a:ec00:ec00:ec00:d:207b:ffff |
| 125 | fe80:c25a:ec00:ec00:ec00:d:207c:0/112 | fe80:c25a:ec00:ec00:ec00:d:207c:ffff |
| 126 | fe80:c25a:ec00:ec00:ec00:d:207d:0/112 | fe80:c25a:ec00:ec00:ec00:d:207d:ffff |
| 127 | fe80:c25a:ec00:ec00:ec00:d:207e:0/112 | fe80:c25a:ec00:ec00:ec00:d:207e:ffff |
| 128 | fe80:c25a:ec00:ec00:ec00:d:207f:0/112 | fe80:c25a:ec00:ec00:ec00:d:207f:ffff |
| 129 | fe80:c25a:ec00:ec00:ec00:d:2080:0/112 | fe80:c25a:ec00:ec00:ec00:d:2080:ffff |
| 130 | fe80:c25a:ec00:ec00:ec00:d:2081:0/112 | fe80:c25a:ec00:ec00:ec00:d:2081:ffff |
| 131 | fe80:c25a:ec00:ec00:ec00:d:2082:0/112 | fe80:c25a:ec00:ec00:ec00:d:2082:ffff |
| 132 | fe80:c25a:ec00:ec00:ec00:d:2083:0/112 | fe80:c25a:ec00:ec00:ec00:d:2083:ffff |
| 133 | fe80:c25a:ec00:ec00:ec00:d:2084:0/112 | fe80:c25a:ec00:ec00:ec00:d:2084:ffff |
| 134 | fe80:c25a:ec00:ec00:ec00:d:2085:0/112 | fe80:c25a:ec00:ec00:ec00:d:2085:ffff |
| 135 | fe80:c25a:ec00:ec00:ec00:d:2086:0/112 | fe80:c25a:ec00:ec00:ec00:d:2086:ffff |
| 136 | fe80:c25a:ec00:ec00:ec00:d:2087:0/112 | fe80:c25a:ec00:ec00:ec00:d:2087:ffff |
| 137 | fe80:c25a:ec00:ec00:ec00:d:2088:0/112 | fe80:c25a:ec00:ec00:ec00:d:2088:ffff |
| 138 | fe80:c25a:ec00:ec00:ec00:d:2089:0/112 | fe80:c25a:ec00:ec00:ec00:d:2089:ffff |
| 139 | fe80:c25a:ec00:ec00:ec00:d:208a:0/112 | fe80:c25a:ec00:ec00:ec00:d:208a:ffff |
| 140 | fe80:c25a:ec00:ec00:ec00:d:208b:0/112 | fe80:c25a:ec00:ec00:ec00:d:208b:ffff |
| 141 | fe80:c25a:ec00:ec00:ec00:d:208c:0/112 | fe80:c25a:ec00:ec00:ec00:d:208c:ffff |
| 142 | fe80:c25a:ec00:ec00:ec00:d:208d:0/112 | fe80:c25a:ec00:ec00:ec00:d:208d:ffff |
| 143 | fe80:c25a:ec00:ec00:ec00:d:208e:0/112 | fe80:c25a:ec00:ec00:ec00:d:208e:ffff |
| 144 | fe80:c25a:ec00:ec00:ec00:d:208f:0/112 | fe80:c25a:ec00:ec00:ec00:d:208f:ffff |
| 145 | fe80:c25a:ec00:ec00:ec00:d:2090:0/112 | fe80:c25a:ec00:ec00:ec00:d:2090:ffff |
| 146 | fe80:c25a:ec00:ec00:ec00:d:2091:0/112 | fe80:c25a:ec00:ec00:ec00:d:2091:ffff |
| 147 | fe80:c25a:ec00:ec00:ec00:d:2092:0/112 | fe80:c25a:ec00:ec00:ec00:d:2092:ffff |
| 148 | fe80:c25a:ec00:ec00:ec00:d:2093:0/112 | fe80:c25a:ec00:ec00:ec00:d:2093:ffff |
| 149 | fe80:c25a:ec00:ec00:ec00:d:2094:0/112 | fe80:c25a:ec00:ec00:ec00:d:2094:ffff |
| 150 | fe80:c25a:ec00:ec00:ec00:d:2095:0/112 | fe80:c25a:ec00:ec00:ec00:d:2095:ffff |
| 151 | fe80:c25a:ec00:ec00:ec00:d:2096:0/112 | fe80:c25a:ec00:ec00:ec00:d:2096:ffff |
| 152 | fe80:c25a:ec00:ec00:ec00:d:2097:0/112 | fe80:c25a:ec00:ec00:ec00:d:2097:ffff |
| 153 | fe80:c25a:ec00:ec00:ec00:d:2098:0/112 | fe80:c25a:ec00:ec00:ec00:d:2098:ffff |
| 154 | fe80:c25a:ec00:ec00:ec00:d:2099:0/112 | fe80:c25a:ec00:ec00:ec00:d:2099:ffff |
| 155 | fe80:c25a:ec00:ec00:ec00:d:209a:0/112 | fe80:c25a:ec00:ec00:ec00:d:209a:ffff |
| 156 | fe80:c25a:ec00:ec00:ec00:d:209b:0/112 | fe80:c25a:ec00:ec00:ec00:d:209b:ffff |
| 157 | fe80:c25a:ec00:ec00:ec00:d:209c:0/112 | fe80:c25a:ec00:ec00:ec00:d:209c:ffff |
| 158 | fe80:c25a:ec00:ec00:ec00:d:209d:0/112 | fe80:c25a:ec00:ec00:ec00:d:209d:ffff |
| 159 | fe80:c25a:ec00:ec00:ec00:d:209e:0/112 | fe80:c25a:ec00:ec00:ec00:d:209e:ffff |
| 160 | fe80:c25a:ec00:ec00:ec00:d:209f:0/112 | fe80:c25a:ec00:ec00:ec00:d:209f:ffff |
| 161 | fe80:c25a:ec00:ec00:ec00:d:20a0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a0:ffff |
| 162 | fe80:c25a:ec00:ec00:ec00:d:20a1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a1:ffff |
| 163 | fe80:c25a:ec00:ec00:ec00:d:20a2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a2:ffff |
| 164 | fe80:c25a:ec00:ec00:ec00:d:20a3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a3:ffff |
| 165 | fe80:c25a:ec00:ec00:ec00:d:20a4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a4:ffff |
| 166 | fe80:c25a:ec00:ec00:ec00:d:20a5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a5:ffff |
| 167 | fe80:c25a:ec00:ec00:ec00:d:20a6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a6:ffff |
| 168 | fe80:c25a:ec00:ec00:ec00:d:20a7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a7:ffff |
| 169 | fe80:c25a:ec00:ec00:ec00:d:20a8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a8:ffff |
| 170 | fe80:c25a:ec00:ec00:ec00:d:20a9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20a9:ffff |
| 171 | fe80:c25a:ec00:ec00:ec00:d:20aa:0/112 | fe80:c25a:ec00:ec00:ec00:d:20aa:ffff |
| 172 | fe80:c25a:ec00:ec00:ec00:d:20ab:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ab:ffff |
| 173 | fe80:c25a:ec00:ec00:ec00:d:20ac:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ac:ffff |
| 174 | fe80:c25a:ec00:ec00:ec00:d:20ad:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ad:ffff |
| 175 | fe80:c25a:ec00:ec00:ec00:d:20ae:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ae:ffff |
| 176 | fe80:c25a:ec00:ec00:ec00:d:20af:0/112 | fe80:c25a:ec00:ec00:ec00:d:20af:ffff |
| 177 | fe80:c25a:ec00:ec00:ec00:d:20b0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b0:ffff |
| 178 | fe80:c25a:ec00:ec00:ec00:d:20b1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b1:ffff |
| 179 | fe80:c25a:ec00:ec00:ec00:d:20b2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b2:ffff |
| 180 | fe80:c25a:ec00:ec00:ec00:d:20b3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b3:ffff |
| 181 | fe80:c25a:ec00:ec00:ec00:d:20b4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b4:ffff |
| 182 | fe80:c25a:ec00:ec00:ec00:d:20b5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b5:ffff |
| 183 | fe80:c25a:ec00:ec00:ec00:d:20b6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b6:ffff |
| 184 | fe80:c25a:ec00:ec00:ec00:d:20b7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b7:ffff |
| 185 | fe80:c25a:ec00:ec00:ec00:d:20b8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b8:ffff |
| 186 | fe80:c25a:ec00:ec00:ec00:d:20b9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20b9:ffff |
| 187 | fe80:c25a:ec00:ec00:ec00:d:20ba:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ba:ffff |
| 188 | fe80:c25a:ec00:ec00:ec00:d:20bb:0/112 | fe80:c25a:ec00:ec00:ec00:d:20bb:ffff |
| 189 | fe80:c25a:ec00:ec00:ec00:d:20bc:0/112 | fe80:c25a:ec00:ec00:ec00:d:20bc:ffff |
| 190 | fe80:c25a:ec00:ec00:ec00:d:20bd:0/112 | fe80:c25a:ec00:ec00:ec00:d:20bd:ffff |
| 191 | fe80:c25a:ec00:ec00:ec00:d:20be:0/112 | fe80:c25a:ec00:ec00:ec00:d:20be:ffff |
| 192 | fe80:c25a:ec00:ec00:ec00:d:20bf:0/112 | fe80:c25a:ec00:ec00:ec00:d:20bf:ffff |
| 193 | fe80:c25a:ec00:ec00:ec00:d:20c0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c0:ffff |
| 194 | fe80:c25a:ec00:ec00:ec00:d:20c1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c1:ffff |
| 195 | fe80:c25a:ec00:ec00:ec00:d:20c2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c2:ffff |
| 196 | fe80:c25a:ec00:ec00:ec00:d:20c3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c3:ffff |
| 197 | fe80:c25a:ec00:ec00:ec00:d:20c4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c4:ffff |
| 198 | fe80:c25a:ec00:ec00:ec00:d:20c5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c5:ffff |
| 199 | fe80:c25a:ec00:ec00:ec00:d:20c6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c6:ffff |
| 200 | fe80:c25a:ec00:ec00:ec00:d:20c7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c7:ffff |
| 201 | fe80:c25a:ec00:ec00:ec00:d:20c8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c8:ffff |
| 202 | fe80:c25a:ec00:ec00:ec00:d:20c9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20c9:ffff |
| 203 | fe80:c25a:ec00:ec00:ec00:d:20ca:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ca:ffff |
| 204 | fe80:c25a:ec00:ec00:ec00:d:20cb:0/112 | fe80:c25a:ec00:ec00:ec00:d:20cb:ffff |
| 205 | fe80:c25a:ec00:ec00:ec00:d:20cc:0/112 | fe80:c25a:ec00:ec00:ec00:d:20cc:ffff |
| 206 | fe80:c25a:ec00:ec00:ec00:d:20cd:0/112 | fe80:c25a:ec00:ec00:ec00:d:20cd:ffff |
| 207 | fe80:c25a:ec00:ec00:ec00:d:20ce:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ce:ffff |
| 208 | fe80:c25a:ec00:ec00:ec00:d:20cf:0/112 | fe80:c25a:ec00:ec00:ec00:d:20cf:ffff |
| 209 | fe80:c25a:ec00:ec00:ec00:d:20d0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d0:ffff |
| 210 | fe80:c25a:ec00:ec00:ec00:d:20d1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d1:ffff |
| 211 | fe80:c25a:ec00:ec00:ec00:d:20d2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d2:ffff |
| 212 | fe80:c25a:ec00:ec00:ec00:d:20d3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d3:ffff |
| 213 | fe80:c25a:ec00:ec00:ec00:d:20d4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d4:ffff |
| 214 | fe80:c25a:ec00:ec00:ec00:d:20d5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d5:ffff |
| 215 | fe80:c25a:ec00:ec00:ec00:d:20d6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d6:ffff |
| 216 | fe80:c25a:ec00:ec00:ec00:d:20d7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d7:ffff |
| 217 | fe80:c25a:ec00:ec00:ec00:d:20d8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d8:ffff |
| 218 | fe80:c25a:ec00:ec00:ec00:d:20d9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20d9:ffff |
| 219 | fe80:c25a:ec00:ec00:ec00:d:20da:0/112 | fe80:c25a:ec00:ec00:ec00:d:20da:ffff |
| 220 | fe80:c25a:ec00:ec00:ec00:d:20db:0/112 | fe80:c25a:ec00:ec00:ec00:d:20db:ffff |
| 221 | fe80:c25a:ec00:ec00:ec00:d:20dc:0/112 | fe80:c25a:ec00:ec00:ec00:d:20dc:ffff |
| 222 | fe80:c25a:ec00:ec00:ec00:d:20dd:0/112 | fe80:c25a:ec00:ec00:ec00:d:20dd:ffff |
| 223 | fe80:c25a:ec00:ec00:ec00:d:20de:0/112 | fe80:c25a:ec00:ec00:ec00:d:20de:ffff |
| 224 | fe80:c25a:ec00:ec00:ec00:d:20df:0/112 | fe80:c25a:ec00:ec00:ec00:d:20df:ffff |
| 225 | fe80:c25a:ec00:ec00:ec00:d:20e0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e0:ffff |
| 226 | fe80:c25a:ec00:ec00:ec00:d:20e1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e1:ffff |
| 227 | fe80:c25a:ec00:ec00:ec00:d:20e2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e2:ffff |
| 228 | fe80:c25a:ec00:ec00:ec00:d:20e3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e3:ffff |
| 229 | fe80:c25a:ec00:ec00:ec00:d:20e4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e4:ffff |
| 230 | fe80:c25a:ec00:ec00:ec00:d:20e5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e5:ffff |
| 231 | fe80:c25a:ec00:ec00:ec00:d:20e6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e6:ffff |
| 232 | fe80:c25a:ec00:ec00:ec00:d:20e7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e7:ffff |
| 233 | fe80:c25a:ec00:ec00:ec00:d:20e8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e8:ffff |
| 234 | fe80:c25a:ec00:ec00:ec00:d:20e9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20e9:ffff |
| 235 | fe80:c25a:ec00:ec00:ec00:d:20ea:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ea:ffff |
| 236 | fe80:c25a:ec00:ec00:ec00:d:20eb:0/112 | fe80:c25a:ec00:ec00:ec00:d:20eb:ffff |
| 237 | fe80:c25a:ec00:ec00:ec00:d:20ec:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ec:ffff |
| 238 | fe80:c25a:ec00:ec00:ec00:d:20ed:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ed:ffff |
| 239 | fe80:c25a:ec00:ec00:ec00:d:20ee:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ee:ffff |
| 240 | fe80:c25a:ec00:ec00:ec00:d:20ef:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ef:ffff |
| 241 | fe80:c25a:ec00:ec00:ec00:d:20f0:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f0:ffff |
| 242 | fe80:c25a:ec00:ec00:ec00:d:20f1:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f1:ffff |
| 243 | fe80:c25a:ec00:ec00:ec00:d:20f2:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f2:ffff |
| 244 | fe80:c25a:ec00:ec00:ec00:d:20f3:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f3:ffff |
| 245 | fe80:c25a:ec00:ec00:ec00:d:20f4:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f4:ffff |
| 246 | fe80:c25a:ec00:ec00:ec00:d:20f5:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f5:ffff |
| 247 | fe80:c25a:ec00:ec00:ec00:d:20f6:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f6:ffff |
| 248 | fe80:c25a:ec00:ec00:ec00:d:20f7:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f7:ffff |
| 249 | fe80:c25a:ec00:ec00:ec00:d:20f8:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f8:ffff |
| 250 | fe80:c25a:ec00:ec00:ec00:d:20f9:0/112 | fe80:c25a:ec00:ec00:ec00:d:20f9:ffff |
| 251 | fe80:c25a:ec00:ec00:ec00:d:20fa:0/112 | fe80:c25a:ec00:ec00:ec00:d:20fa:ffff |
| 252 | fe80:c25a:ec00:ec00:ec00:d:20fb:0/112 | fe80:c25a:ec00:ec00:ec00:d:20fb:ffff |
| 253 | fe80:c25a:ec00:ec00:ec00:d:20fc:0/112 | fe80:c25a:ec00:ec00:ec00:d:20fc:ffff |
| 254 | fe80:c25a:ec00:ec00:ec00:d:20fd:0/112 | fe80:c25a:ec00:ec00:ec00:d:20fd:ffff |
| 255 | fe80:c25a:ec00:ec00:ec00:d:20fe:0/112 | fe80:c25a:ec00:ec00:ec00:d:20fe:ffff |
| 256 | fe80:c25a:ec00:ec00:ec00:d:20ff:0/112 | fe80:c25a:ec00:ec00:ec00:d:20ff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |